org.mariadb.jdbc.internal.common.packet

## Class ResultPacketFactory

- java.lang.Object
- - org.mariadb.jdbc.internal.common.packet.ResultPacketFactory

    public class ResultPacketFactory
    extends Object

Creates result packets only handles error, ok, eof and result set packets since field and row packets require a previous result set packet

### Method Summary

Methods
`static ResultPacket` `createResultPacket(RawPacket rawPacket)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createResultPacket

    public static ResultPacket createResultPacket(RawPacket rawPacket)
                                           throws IOException

Throws:
  `IOException`